Description

upp\uppsrc\sql\Sqlexp.h(194) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\sql\Sqlexp.h(195) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\Sql\SqlCase.cpp(322) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\Core\heaputil.cpp(22) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\Core\lheap.cpp(160) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\Core\lheap.cpp(189) : warning C4267: 'argument' : conversion from 'size_t' to 'int', possible loss of data

upp\uppsrc\coff\binobj\binobj.cpp(236) : warning C4267: '=' : conversion from 'size_t' to 'Upp::byte', possible loss of data

upp\uppsrc\coff\binobj\binobj.cpp(267) : warning C4267: '=' : conversion from 'size_t' to 'Upp::word', possible loss of data

upp\uppsrc\coff\binobj\binobj.cpp(356) : warning C4267: '=' : conversion from 'size_t' to 'Upp::word', possible loss of data

upp\uppsrc\Painter\Fillers.cpp(220) : warning C4244: 'initializing' : conversion from '__int64' to 'int', possible loss of data

upp\uppsrc\Painter\Fillers.cpp(241) : warning C4244: 'argument' : conversion from '__int64' to 'int', possible loss of data

upp\uppsrc\Painter\Fillers.cpp(296) : warning C4244: 'argument' : conversion from '__int64' to 'int', possible loss of data

upp\uppsrc\Painter\Fillers.cpp(418) : warning C4244: 'argument' : conversion from '__int64' to 'int', possible loss of data

upp\uppsrc\Painter\Mask.cpp(83) : warning C4244: 'argument' : conversion from '__int64' to 'int', possible loss of data

History

#1 - 02/06/2013 03:06 PM - Iñaki Zabala

In some cases it can be solved using ptrdiff_t

#2 - 02/18/2013 10:30 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Iñaki Zabala

#3 - 03/03/2013 10:34 AM - Miroslav Fidler

- Status changed from Ready for QA to Approved
